Search for products that you are able to sell from the fulfillment system.
curl --request GET \
--url https://api.example.com/api/v1/Products/Sellable/Listing \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/Products/Sellable/Listing"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/Products/Sellable/Listing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": [
{
"supplierId": "<string>",
"accountNumber": "<string>",
"sku": "<string>",
"description": "<string>",
"wineDirectSku": "<string>",
"supplierName": "<string>",
"accountName": "<string>",
"itemTypeCode": "<string>",
"itemTypeName": "<string>",
"packSlipDescription": "<string>"
}
]
}Search for products that you are able to sell from the fulfillment system.
This listing can include items which you own and supply to WineDirect along with any items supplied by other companies
GET
/
api
/
v1
/
Products
/
Sellable
/
Listing
Search for products that you are able to sell from the fulfillment system.
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Query Parameters
AccountNumber is the unique Customer ID in the WineDirect system.
Minimum string length:
2The Item Type (Code)
ACC - Accessory
FOOD - Food
GSET - Gift Set
CARD - Greeting Card
PACK - Packaging
WINE - Wine/Sparkling
PTO - Pick-To-Order
INSERT - An insert
The SKU of the customer
Was this page helpful?